FROM registry.gitlab.com/openstapps/openstapps/node-base

USER root
RUN apk add --update python3 py3-pip make g++ gcompat

USER node
ADD --chown=node:node . /app
ENV NODE_ENV=production
WORKDIR /app

EXPOSE 3000
ENTRYPOINT ["node", "app.js"]
